<div class="row">
  <div class="col-lg-12">
    <div class="ibox float-e-margins">
      <div class="ibox-title">
        <h3>
          <strong>Add Shift Timings</strong>
        </h3>

      </div>
      <div class="ibox-content">
        <form (ngSubmit)="onSubmit(f)" autocomplete="off" #f="ngForm" class="form-horizontal">

          <div class="form-group">
            <label class="col-sm-2 control-label">Shift name
              <i aria-hidden="true" class="mandatory">*</i>
            </label>
            <div class="col-sm-10  form-input">
              <input type="text" maxlength = "15" pattern = "[A-Za-z\s\()]+" name="name" placeholder="Shift Name" #name="ngModel"  [(ngModel)]="shiftTiming.name" class="form-control" required>
              <div class="error-msg" *ngIf="name.errors && (name.dirty || name.touched || f.submitted)" >
                <div [hidden]="!name.errors.required" >
                  Shift name is required.
                </div>
                <div [hidden]="!name.errors.pattern" >
                  Only alphabets are allowed
                  </div>
              </div>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Start time
              <i aria-hidden="true" class="mandatory">*</i>
            </label>
            <div class="col-sm-10  form-input">
              <input type="time" (click)="checkShiftstartTime()" placeholder="Start time" name="shift_time" #start_time="ngModel" [(ngModel)]="shiftTiming.start_time"
                class="form-control" required>
              <div class="error-msg" *ngIf="start_time.errors && (start_time.dirty || start_time.touched || f.submitted)" >
                <div [hidden]="!start_time.errors.required">
                  Start time is required.
                </div>
              </div>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">End time
              <i aria-hidden="true" class="mandatory">*</i>
            </label>
            <div class="col-sm-10  form-input">
              <input type="time"  (click) = "checkShiftendTime()" placeholder="End time" name="end_time" #end_time="ngModel" [(ngModel)]="shiftTiming.end_time" class="form-control"
                required>
              <div class="error-msg" *ngIf="end_time.errors && (end_time.dirty || end_time.touched || f.submitted)">
                <div [hidden]="!end_time.errors.required" >
                  End time is required.
                </div>
                <div *ngIf="shiftendError"  >
                  {{shiftendError}}
                </div>
              </div>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Break start
              <i aria-hidden="true" class="mandatory">*</i>
            </label>
            <div class="col-sm-10  form-input">
              <input type="time" (click) ="checkBreakStart()" placeholder="Break time" name="break_start"  #break_start="ngModel" [(ngModel)]="shiftTiming.break_start"
                class="form-control" required>
              <div class="error-msg" *ngIf="break_start.errors && (break_start.dirty || break_start.touched || f.submitted)" >
                <div [hidden]="!break_start.errors.required"  >
                  Break start time is required.
                </div>
              </div>
			  <div class="error-msg" *ngIf="BreakstartError" >
                  {{BreakstartError}}
               </div>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Break end
              <i aria-hidden="true" class="mandatory">*</i>
            </label>
            <div class="col-sm-10  form-input">
              <input type="time" (click)="checkBreakEnd()"  name="break_end" #break_end="ngModel" [(ngModel)]="shiftTiming.break_end"
                class="form-control" required>
                <div class="error-msg" *ngIf="break_end.errors && (break_end.dirty || break_end.touched || f.submitted)">
                  <div [hidden]="!break_end.errors.required" >
                    Break end time is required.
                  </div>
                </div>
                <div class="error-msg" *ngIf="BreakEndError" >
                  {{BreakEndError}}
                </div>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Free hour</label>
            <div class="col-sm-10  form-input">
              <mat-select name="free_hours" placeholder = " Free hour" #free_hours="ngModel" placeholder="Free hour" [(ngModel)]="shiftTiming.free_hours" class="form-control">
                <mat-option value="">Select</mat-option>
                <mat-option value="15min">15 min</mat-option>
                <mat-option value="30min">30 min</mat-option>
                <mat-option value="1h">1h</mat-option>
                <mat-option value="2h">2h</mat-option>
              </mat-select>
            </div>
          </div>

          <div class="form-group">
            <div class="col-sm-4 col-sm-offset-2">
                <button class="btn btn-primary" type="submit">Save</button>
              <button class="btn btn-white" type="button" [routerLink]="['/admin/shift/shift-timings']">Cancel</button>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>
